//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


v6depth=40;
v6width=20;



v6r1=16/2;
v6r2=12/2;

v6h1=3.0;
v6h2=5.9;
v6h3=3.7;

v6height=v6h1+v6h2+v6h3;


m3r=1.6;
m3hr=3;
m3hh=2;


v6miss=2;


exholey=v6depth/2;
exholex=v6width/2;


module nut()
{
    cylinder(r = 5.5 / 2 / cos(180 / 6) + 0.2, $fn=6);
}


module v6mount()
{
difference()
{
cube([v6width,v6depth,v6height]);
translate([exholex,exholey,0]) cylinder(v6h1,v6r1,v6r1);    
translate([exholex,exholey,v6h1]) cylinder(v6h2,v6r2,v6r2);    
    
translate([exholex,exholey,v6h1+v6h2]) cylinder(v6h3,v6r1,v6r1);


translate([0,exholey-v6r1-v6miss,v6height/2])
rotate([0,90,0]) cylinder(v6width,m3r,m3r);    

translate([0,exholey-v6r1-v6miss,v6height/2])
rotate([0,90,0]) nut();

translate([v6width-m3hh,exholey-v6r1-v6miss,v6height/2])
rotate([0,90,0]) cylinder(m3hh,m3hr,m3hr);    




    
translate([0,exholey+v6r1+v6miss,v6height/2])
rotate([0,90,0]) cylinder(v6width,m3r,m3r);    

translate([0,exholey+v6r1+v6miss,v6height/2])
rotate([0,90,0]) nut();

translate([v6width-m3hh,exholey+v6r1+v6miss,v6height/2])
rotate([0,90,0])  cylinder(m3hh,m3hr,m3hr);




translate([v6width/4,exholey-2*v6miss-2*m3r-v6r1,0])
cylinder(v6height,m3r,m3r);
    
translate([v6width/4,exholey-2*v6miss-2*m3r-v6r1,0]) nut();
    
    

translate([v6width/4,exholey+2*v6miss+2*m3r+v6r1,0])
cylinder(v6height,m3r,m3r);    

translate([v6width/4,exholey+2*v6miss+2*m3r+v6r1,0]) nut();



translate([v6width-v6width/4,exholey-2*v6miss-2*m3r-v6r1,0])
cylinder(v6height,m3r,m3r);

translate([v6width-v6width/4,exholey-2*v6miss-2*m3r-v6r1,0]) nut();



translate([v6width-v6width/4,exholey+2*v6miss+2*m3r+v6r1,0])
cylinder(v6height,m3r,m3r);    


translate([v6width-v6width/4,exholey+2*v6miss+2*m3r+v6r1,0]) nut();




}
}



translate([-5,0,0]) rotate([0,-90,0])intersection()
{
 v6mount();
 cube([v6width/2,v6depth,v6height]);
}

translate([5,0,v6width]) rotate([0,90,0])intersection()
{
 v6mount();
 translate([v6width/2,0,0]) cube([v6width/2,v6depth,v6height]);
}

